# ASV Runner

Welcome to ASV Runner, the pure Python core of [ASV (Airspeed-Velocity)](https://asv.readthedocs.io/). ASV
Runner provides essential functionality for benchmarking Python packages with
ease and efficiency.

Key Features:
- **Benchmark Classes**: ASV Runner includes the core benchmark classes for
  `asv` that enable accurate measurement of performance metrics such as runtime,
  memory consumption, and peak memory usage.
- **Minimal Dependencies**: ASV Runner has minimal dependencies, relying
  primarily on pure Python for timing operations.
- **Flexible Integration**: ASV Runner is a core component of  ASV, enabling
  comprehensive benchmarking of Python packages throughout their development
  lifecycle.

ASV runner is a powerful framework for leveraging `asv`'s rich plugin ecosystem.
Explore the documentation and discover how ASV Runner can help you accurately
measure and analyze the performance of your Python packages.

```{toctree}
:maxdepth: 2
:caption: Contents

apidocs/index
bplugin-list
development/benchmark_plugins
CHANGELOG
```

## Indices and tables

- [](genindex)
- [](modindex)
- [](search)
